Skip to main content
GET
List models

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Query Parameters

baseModelId
string

Filter models by base model ID.

connectionId
string

Filter models by connection ID.

includeDeleted
boolean

If true, include deleted models.

modelId
string

Filter models by a specific model ID.

modelKind
enum<string>

Filter by model kind.

Available options:
SCHEMA,
SHARED,
SHARED_EXTENSION,
WORKBOOK,
BRANCH,
QUERY,
TOPIC,
FIELD_PICKER_TOPIC
name
string

Filter models by name.

pageSize
integer
default:20

Specifies the number of records per page.

cursor
string

Pagination cursor

sortDirection
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
sortField
enum<string>
default:updatedAt

Field to sort by.

Available options:
name,
modelKind,
connectionId,
baseModelId,
createdAt,
updatedAt
include
enum<string>

Comma-separated list of additional fields to include in the response.

  • activeBranches - Include active branches for each model
Available options:
activeBranches

Response

Paginated model list

pageInfo
object

Pagination information for paginated responses.

records
object[]

List of model records.